//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/OpAmpCreator.h,v $
// $Id: OpAmpCreator.h,v 1.5 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_OPAMP_CREATOR_H	// prevent multiple includes
#define ETECH_OPAMP_CREATOR_H

// --- necessary includes ---

#include <AH/Config/Platform.h>

BEGIN_NAMESPACE(Ah)

// --- forward declarations ---

class OpAmp;

// --- types and classes ---


/// represents the OpAmp creator class
/**
 {\tt OpAmpCreator} represents a creator class for all operational amplifiers
 within {\em libEtech}.
 */
class OpAmpCreator
{
  public:
    /// default constructor
    OpAmpCreator() {}

    /// virtual destructor
    virtual ~OpAmpCreator() {}

    /// create instance of specified opAmp
    virtual OpAmp* create(const char* model = 0, 
			  const char* company = 0) const;

}; // class OpAmpCreator


END_NAMESPACE

#endif // ETECH_OPAMP_CREATOR_H
