//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/Cd.h,v $
// $Id: Cd.h,v 1.3 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_CD_H
#define ETECH_CD_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/Types.h>

USING_NAMESPACE(Ah)

// --- types and classes ---

BEGIN_NAMESPACE(Ah)

// --- function prototypes ---

/// return CD preemphasis value at frequency {\tt f}
extern Cplx CdPreEmphasis(Dbl f);
/// return CD deemphasis value at frequency {\tt f}
extern Cplx CdDeEmphasis(Dbl f);


END_NAMESPACE

#endif // ETECH_CD_H


