//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/MathConst.h,v $
// $Id: MathConst.h,v 1.4 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_MATHCONST_H	// prevent multiple includes
#define ETECH_MATHCONST_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/Types.h>

USING_NAMESPACE(Ah)

// --- types and classes ---

BEGIN_NAMESPACE(Ah)

#define MathConst_PI 3.14159265359

/// represents some mathical constants
/**
 {\tt MathConst} is a class containing some mathematical constants.
 */
class MathConst
{
 public:
    /// Pi
    static const Dbl Pi = 3.14159265359;
}; // class Mathconst


END_NAMESPACE

#endif // ETECH_MATHCONST_H
